Subject: Re: bug#61293: 30.0.50; [FR] Add `proper-list-p' and `plistp' to 2.7 Type Predicates section of the manual

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Feb 2023 15:02:05 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 05 Feb 2023 12:34:00 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > proper-list-p was already documented.  I added plistp.
> 
> Thanks! Note that `proper-list-p' is not listed in section 2.7.

I don't think this should bother us.  If you type "i proper list RET",
you will land in the node which describes that term; the very next
section documents proper-list-p.  So I think everything here is fine.

> >> Also, what about `alistp'? Would it make sense to add such function?
> >
> > I don't know.  When would it be useful?
> 
> I mostly expected it is exist, but it does not.
> Also, there is `nested-alist-p'. So, not having `alistp' feels awkward.

Most probably because no one needed it, at least not too frequently.